DEBSUMS(1)

NOME
debsums - checa as somas MD5 de pacotes Debian instalados

RESUMO
debsums [opcoes] [pacote|deb] ...

DESCRIÇÃO
Verifica arquivos de pacotes Debian instalados contra listas de checksum MD5 a partir de /var/lib/dpkg/info/*.md5sums.

debsums gera listas checksum a partir de arquivos deb para pacotes que não as incluem.

OPÇÕES

-a, --all
    Checa também arquivos de configuração (normalmente excluídos).

-e, --config
    Apenas checa arquivos de configuração.

-c, --changed
    Reporta a lista de arquivos modificados para stdout (implica -s).

-l, --list-missing
    Lista pacotes (ou debs) que não possuem um arquivo de soma MD5.

-s, --silent
    Reporta somente erros.

-m, --md5sums=file
    Lê a lista de checksums deb a partir do arquivo.

-r, --root=dir
    Diretório raiz para checar (padrão /).

-d, --admindir=dir
    diretório administrativo do dpkg (padrão /var/lib/dpkg).

-p, --deb-path=dir[:dir...]
    Diretórios para procurar por debs derivados do nome do pacote (o padrão é o diretório atual).

    Um valor útil é /var/cache/apt/archives quando usando apt-get autoclean ou não limpando o cache. E o comando:

        apt-get --reinstall -d install `debsums -l`

    pode ser usado para popular o cache com quaisquer debs que já não estejam no cache.

    Nota: Isto não funciona com CD-ROM e outros recursos locais já que pacotes não são copiados para /var/cache. Simples fontes de arquivo (todos debs em um diretório só) devem ser adicionados para lista -p.

-g, --generate=[missing|all][,nocheck]
    Gera somas MD5 a partir do conteúdo de deb. Caso o argumento seja um nome de pacote ao invés de um arquivo deb, o programa irá procurar por um deb de nome pacote_versao_arquitetura.deb nos diretórios informados pela opção -p.

    ausente
        Gera somas MD5 a partir de deb para pacotes que não as fornecem.

    todas
        Ignore as somas no disco e usa aquele fornecido no deb, ou gera a partir do mesmo caso nenhum exista.

    nocheck
        The extracted/generated sums are not checked against the installed package.

    Para compatibilidade anterior, a opção curta -g é equivalente a --generate=missing.

--no-locale-purge
    Reporte arquivos locale ausentes mesmo se localepurge estiver configurado.

--no-prelink
    Reporte arquivos ELF modificados mesmo se o prelink estiver configurado.

--ignore-permissions
    Trate erros de permissão como avisos quando não executado como root.

--ignore-obsolete
    Ignore conffiles obsoletos.

--help
--version
    Imprime informação de ajuda e versão.

STATUS DE SAÍDA
debsums retorna 0 em sucesso, ou uma combinação* de um dos seguintes valores em erro:

1   Um nome de pacote ou arquivo especificado não foi instalado, inválido ou a versão instalada não condiz com o arquivo fornecido.

2   Arquivos de pacote modificados ou ausentes, ou incompatibilidade de checksum em um arquivo.

255 Opção inválida.

*Se ambas as duas primeiras condições forem verdadeiras, o status de saída será 3.

EXEMPLOS

debsums foo bar
    Checa os sums para os pacotes instalados foo e bar.

debsums foo.deb bar.deb
    Como acima, usando checksums a partir (ou gerado a partir) dos arquivos.

debsums -l
    Lista pacotes instalados sem checksums.

debsums -ca
    Lista arquivos de pacotes modificados a partir de todos os pacotes instalados com checksums.

debsums -ce
    Lista arquivos de configuração modificados.

debsums -cagp /var/cache/apt/archives
    Como acima, usando sums a partir dos debs em cache quando disponíveis.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Reinstala pacotes com arquivos modificados.

RESULTADOS

OK  A soma MD5 do arquivo está boa.

FALHOU
    A soma MD5 do arquivo não condiz.

SUBSTITUÍDO
    O arquivo foi substituído por um arquivo a partir de um outro pacote.

VER TAMBÉM
md5sum(1),

AMBIENTE

TMPDIR
    Diretório para extrair informação e conteúdo de arquivos de pacotes (/tmp por padrão).

PROBLEMAS
Enquanto em geral o programa pode ser executado como um usuário normal, alguns pacotes contém arquivos que não são legíveis globalmente portanto não podem ser checados. Privilégios são de fato também requeridos quando gerando somas com a opção keep definida.

Arquivos que foram substituídos por outro pacote podem ser erroneamente reportados como modificados.

debsums é pretendido primeiramente como uma forma de determinar quais arquivos instalados estão localmente modificados pelo administrador ou danificados por erros de mídia e é de uso limitado como uma ferramenta de segurança.

Se estiver procurando por um verificador de integridade que pode rodar a partir de mídia segura, faça testes de integridade em databases checksum e podem ser facilmente configuradas para rodar periodicamente para alertar o admin das mudanças, veja outras ferramentas como: aide, integrit, samhain, ou tripwire.

AUTOR
Escrito por Brendan O'Dea <bod@debian.org>.
Baseado em um programa escrito por Christoph Lameter <clameter@debian.org> e Petr Cech <cech@debian.org>.

TRADUÇÃO
Esta página de manual foi traduzida para Português do Brazil por André Luís Lopes <andrelop@ig.com.br>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
Isto é software livre, licenciado sob os termos da Licença Pública Geral GNU. NÃO existem garantias; nem mesmo para COMERCIALIZAÇÃO ou APLICAÇÃO A UM PROPÓSITO ESPECÍFICO.